package toml

import (
	"testing"
)

func TestTable(t *testing.T) {
	for _, test := range []parseTest{
		{"", []string{`Error: unexpected end of file (expected a table) at start of file`}},
		{"[", []string{`Error: unexpected end of file (expected a key name) at line 1, column 2`}},
		{" \t [", []string{`Error: unexpected end of file (expected a key name) at line 1, column 5`}},
		{" \t [key", []string{`Error: unexpected end of file (expected closing ']' for table name) at line 1, column 8`}},
		{" \t [key.", []string{`key("key")`, `Error: unexpected end of file (expected a key name) at line 1, column 9`}},
		{" \t [key.'sub key'", []string{`Error: unexpected end of file (expected closing ']' for table name) at line 1, column 18`}},
		{" \t [key.'sub key'  \t]", []string{}},
		{" \t [key.'sub key'  \t]  \t  ", []string{}},
		{" \t [key.'sub key'  \t]  \t  \n", []string{}},
		{" \t [key.'sub key'  \t]  \t  # with comment\n", []string{}},
	} {
		p := newParser()
		testParseHandler(t, p, p.startTable, test)
	}
}
